%define version 0.7.3
%define release 1

%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)

Summary:      A simple non-linear video editor
Name:         kino
Version:      %{version}
Release:      %{release}
License:      GPL
Group:        Applications/Multimedia
Source0:      http://www.schirmacher.de/arne/kino/kino-%{version}.tar.gz
URL:          http://www.schirmacher.de/arne/kino/
BuildRoot:    %{_tmppath}/%{name}-root
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>, kino@schirmacher.de
Distribution: Planet CCRMA

BuildRequires: gcc-c++ libglade2-devel libgnomeui-devel gettext
BuildRequires: libavc1394-devel libdv-devel libraw1394-devel 
BuildRequires: libquicktime-devel libsamplerate-devel libxml2-devel

%description
The new generation of digital camcorders use the Digital Video (DV) data
format. Kino allows you to record, create, edit, and play movies recorded
with DV camcorders. Unlike other editors, this program uses many keyboard
commands for fast navigating and editing inside the movie.

%package  devel
Summary:  Development files for Kino
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description	devel
This contains the C++ headers needed to build extensions for kino.

%prep
%setup -q

%build
%configure --with-quicktime
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# move the jogshuttle stuff to the proper destination
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb/
mv $RPM_BUILD_ROOT%{_prefix}/etc/hotplug/usb/kino-jogshuttle $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb/
mv $RPM_BUILD_ROOT%{_libdir}/hotplug/kino/usb.usermap $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb/kino-jogshuttle.usermap

# reuse the desktop file included with the package
perl -p -i -e "s|TryExec=kino|TryExec=%{_bindir}/kino|g" kino.desktop
perl -p -i -e "s|Exec=kino %F|Exec=%{_bindir}/kino %%F|g" kino.desktop
cp -p kino.desktop %{desktop_vendor}-kino.desktop

%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/System
  cp %{desktop_vendor}-%{name}.desktop \
     %{buildroot}%{_sysconfdir}/X11/applnk/System/%{desktop_vendor}-%{name}.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc README* ChangeLog BUGS AUTHORS ABOUT-NLS TODO NEWS INSTALL COPYING
%{_bindir}/kino
%{_mandir}/man1/*
%{_datadir}/kino
%{_sysconfdir}/hotplug/usb/*
%{_datadir}/locale/*/*/*.mo
%{_datadir}/pixmaps/*
%if "%{desktop_utils}" == "yes"
%exclude %{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%else
%exclude %{_sysconfdir}/X11/applnk/System/%{name}.desktop
%{_sysconfdir}/X11/applnk/System/%{desktop_vendor}-%{name}.desktop
%endif

%files devel
%defattr (-, root, root)
%{_includedir}/kino

%changelog
* Wed Aug 18 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.3-1
- updated to 0.7.3
- reuse the included desktop file
* Fri Jul 30 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.2-1
- updated to 0.7.2
* Wed May 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added missing defattr
* Mon May 10 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.1-1
- updated to 0.7.1
- added buildrequires
- fixed file list
* Sun Nov 30 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.5-1
- update to 0.6.5
- added release tags, spec file tweaks, fc1 build
* Fri Feb 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.4-1
- update to 0.6.4
* Fri Feb  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.3-1
- update to 0.6.3, sync a bit with kino source rpm
* Thu Oct 24 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6-1
- update to 0.6, added redhat menu entry, updated file lists
* Sun Jul 21 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5-2
- patched to compile with libdv-0.9.5
* Sat Nov 24 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- update to 0.5, updated files list, used install target for make
* Sat Feb 10 2001 Arne Schirmacher <kino@schirmacher.de>
- initial package
